Bug 146913 - ports/databases/skytools failed to make package if PostgreSQL 8.4 used
Summary: ports/databases/skytools failed to make package if PostgreSQL 8.4 used
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-24 08:50 UTC by Alexey Markov
Modified: 2010-12-02 15:00 UTC (History)
0 users

See Also:


Attachments
skytools.patch (1.16 KB, patch)
2010-05-26 11:27 UTC, Khee Chin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Markov 2010-05-24 08:50:04 UTC
When trying to make package of ports/databases/skytools, I get:

Creating bzip'd tar ball in '/usr/packages/All/skytools-2.1.11.tbz'
tar: lib/postgresql/txid.so: Cannot stat: No such file or directory
tar: share/doc/postgresql/contrib/README.txid: Cannot stat: No such file or directory
tar: share/postgresql/contrib/uninstall_txid.sql: Cannot stat: No such file or directory
tar: share/postgresql/contrib/txid.sql: Cannot stat: No such file or directory
tar: share/skytools/txid.sql: Cannot stat: No such file or directory
tar: Error exit delayed from previous errors.
pkg_create: make_dist: tar command failed with code 256
*** Error code 1

Stop in /usr/ports/databases/skytools.

I think it is because of skytools-2.1.11/sql/txid/Makefile checks the version of PostgreSQL and don't compile txid for PGVER > 8.2, but skytools's pkg-plist have unconditional lines for txid.

How-To-Repeat: cd /usr/ports/databases/postgresql84-server
make package clean
cd /usr/ports/databases/skytools
make package clean
Comment 1 Edwin Groothuis freebsd_committer 2010-05-24 08:50:17 UTC
Maintainer of databases/skytools,

Please note that PR ports/146913 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/146913

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-05-24 08:50:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Khee Chin 2010-05-26 11:27:17 UTC
Yes, TXID has been incorporated into core pg since Oct 2007,
http://git.postgresql.org/gitweb?p=postgresql.git;a=commit;h=3c889210f443fece4aa28edf7dafecd4ddbc2e77
. As such, all references to them are no longer required and can be
safely removed from pkg-plist.

Attached is a patch that removes the affacted files.

Regards,
Khee Chin.



On Mon, May 24, 2010 at 3:50 PM, Edwin Groothuis <edwin@freebsd.org> wrote:
> Maintainer of databases/skytools,
>
> Please note that PR ports/146913 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/146913
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org

>
Comment 4 Stefan Walter freebsd_committer 2010-06-27 13:46:56 UTC
Hi,

your patch inverts the problem for installations with PostgreSQL 8.2,
which is the default version; on those systems, the files are installed by
skytools, but don't appear in the plist any more and so would not be
deinstalled. Either the plist should be changed dynamically, depending on
which PostgreSQL version is installed, or you should set
USE_PGSQL/WANT_PGSQL_VER to the version you want.

Regards,
Stefan
Comment 5 Stefan Walter freebsd_committer 2010-06-30 08:17:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Track this/waiting for maintainer feedback.
Comment 6 Stefan Walter freebsd_committer 2010-08-02 17:36:24 UTC
Responsible Changed
From-To: stefan->freebsd-ports-bugs

Return this PR to the pool - I currently do not have the time to take care of 
it.
Comment 7 Philip M. Gollucci freebsd_committer 2010-09-17 00:21:25 UTC
State Changed
From-To: feedback->open

submitter feedback timeout: (Alexey Markov <redrat@mail.ru> ; 45 days)
Comment 8 Pav Lucistnik freebsd_committer 2010-12-02 14:54:39 UTC
State Changed
From-To: open->closed

Fixed, thanks for report
Comment 9 dfilter service freebsd_committer 2010-12-02 14:55:41 UTC
pav         2010-12-02 14:55:37 UTC

  FreeBSD ports repository

  Modified files:
    databases/skytools   Makefile pkg-plist 
  Log:
  - txid bits are installed conditionally on postgresql version, fix plist
  
  PR:             ports/146913
  Reported by:    Alexey Markov <redrat@mail.ru>
  Approved by:    feedback timeout on the PR
  
  Revision  Changes    Path
  1.10      +20 -1     ports/databases/skytools/Makefile
  1.5       +5 -5      ports/databases/skytools/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"